Our Placement Testing application requires all browsers to have:

  • Javascript enabled
  • Session (in memory) cookies enabled
  • Popup blockers disabled
  • Screen resolution of 800 x 600; 256 colors minimum
  • Internet connection, recommend at least 56k modem connection
Depending on the test content, other optional plugins may be required for test delivery (such as Apple Quicktime, Macromedia Flash player, Windows Media Player – these are determined by the author of the content). The Voice Capture Item type requires Java Version 1.6 or greater. DePaul’s Placement Testing Application supports these browsers:

  • Microsoft Windows, Internet Explorer v7.0 or above
  • Microsoft Windows, Mozilla Firefox v3.5 or above (or similar Mozilla core browser)
  • Microsoft Windows, Chrome 3.0+
  • Macintosh OSX, Safari v3.2.1 or above, Firefox v3.5 or above (or similar Mozilla core browser)
  • Linux: Mozilla Firefox v3.5 or above (or similar Mozilla core browser)
Any browser that uses the Mozilla gecko core released since mid-2004, supports CSS and DOM Level 1, should render the IBT application well. We do not support beta version browsers. Internet Explorer v6.x or below are not supported.

We also recommend these settings:

  • Cable / DSL / broadband connection
  • Screen resolution of 1024x768, 256 colors minimum
  • Browser with DOM Level 1, CSS support
    (IE 7.0+, FireFox v3.5+, Chrome 3.0+, Opera 8+, Safari 3.2.1+)
(Image Capture Application) Requirements

  • Microsoft Windows .Net Framework 3.5
  • Logitech QuickCam® Sphere AF Webcam
  • Operating System: Windows Server 2003; Windows Server 2008; Windows Vista SP2; Windows XP SP3; Windows 7
  • Processor: 1GHz Pentium processor or equivalent
  • RAM: 256 MB
  • Hard Disk: Up to 500 MB of available space may be required
  • Display: 1024 x 768 high color, 32-bit
​​